{
    "fields": [
        {
            "doc": "Comment text",
            "name": "comment",
            "type": "string"
        },
        {
            "doc": "User who created comment",
            "name": "user",
            "type": [
                "null",
                {
                    "fields": [
                        {
                            "doc": "Azure Active Directory immutable user OID",
                            "name": "userid",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "doc": "User email address",
                            "name": "email",
                            "type": "string"
                        },
                        {
                            "doc": "Username",
                            "name": "username",
                            "type": "string"
                        },
                        {
                            "name": "role",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "name": "groups",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        }
                    ],
                    "name": "User",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "Date and time comment was created (ISO 8601 datetime with seconds and timezone e.g. 2020-11-23T15:52:36+00:00)",
            "name": "timestamp",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "UserComment",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}